Skip to main content
GET
/
tax
/
tax-forms
List Tax Forms
curl --request GET \
  --url https://api.paxos.com/v2/tax/tax-forms \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/tax/tax-forms"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/tax/tax-forms', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "tax_form_urls": [
    {
      "account_id": "<string>",
      "tax_year": "<string>",
      "revision": "<string>",
      "url": "<string>"
    }
  ]
}
OAuth Scope
tax:read_tax_form

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

account_ids
string[]
required

Required. A list of Account IDs. Maximum 50.

tax_year
string
required

Required. Tax year

form_types
enum<string>[]

Optional. Tax form types (1099-B, 1099-MISC, 1099-DA). If not provided, defaults to 1099-B for tax years prior to 2025, and 1099-DA from 2025 onwards.

Available options:
FORM_1099_B,
FORM_1099_MISC,
FORM_1099_DA

Response

200 - application/json

A successful response.

tax_form_urls
object[]

List of tax form URLs. The size shall not exceed users_limit times form_types.